using System;
using System.Collections.Generic;
using System.Text;

namespace OOPModel
{
    class Program
    {
        static void Main(string[] args)
        {
            Konto k1 = new Konto();
            Console.WriteLine("Kontonr: {0}", k1.getKontonr());
            Console.WriteLine("Saldo  : {0}", k1.getSaldo());
            k1.setKontonr(2345);
            k1.setSaldo(230.25);
            Console.WriteLine("Kontonr: {0}", k1.getKontonr());
            Console.WriteLine("Saldo  : {0}", k1.getSaldo());
            k1.indsaet(125.50);
            Console.WriteLine("Kontonr: {0}", k1.getKontonr());
            Console.WriteLine("Saldo  : {0}", k1.getSaldo());

            Konto k2 = new Konto(1234, 100.0);
            Console.WriteLine("Kontonr: {0}", k2.getKontonr());
            Console.WriteLine("Saldo  : {0}", k2.getSaldo());

            Transaktion t1 = new Transaktion();
            Console.WriteLine("Dato   : {0}", t1.getDato());
            Console.WriteLine("Tekst  : {0}", t1.getTekst());
            Console.WriteLine("Beløb  : {0}", t1.getBeloeb());
            t1.setDato(20071029);
            t1.setTekst("Dette er en test");
            t1.setBeloeb(125.75);
            Console.WriteLine("Dato   : {0}", t1.getDato());
            Console.WriteLine("Tekst  : {0}", t1.getTekst());
            Console.WriteLine("Beløb  : {0}", t1.getBeloeb());

            Console.WriteLine();
            Console.Write("Fortsæt - tryk RETUR");
            Console.ReadLine();
        }
    }
}
